<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Котёнок'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<dl class='mai2n'><center><img src='27784.jpg' /></center><link rel='stylesheet' href='style.css' type='text/css' />";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));

$nam=$udata[166];
$zdor=$udata[167];
$time=date("H:i");
$time10="11:00";
$time99="11:15";
$time11="12:00";
$time12="13:00";
$time98="13:19";
$time13="13:30";
$time97="13:45";
$time14="14:30";
$time96="15:01";
$time1="15:30";
$time95="15:59";
$time2="16:30";
$time94="16:40";
$time3="17:30";
$time92="18:02";
$time4="18:30";
$time91="19:00";
$time5="19:30";
$time6="20:30";
$time7="20:43";
$time8="22:30";
$time55="23:15";
$time9="23:30";
$time=date('H:i');
$time10="11:00";
$time99="11:15";
$time11="12:00";
$time12="13:00";
$time98="13:19";
$time13="13:30";
$time97="13:45";
$time14="14:30";
$time96="15:01";
$time1="15:30";
$time95="15:59";
$time2="16:30";
$time94="16:40";
$time3="17:30";
$time92="18:02";
$time4="18:30";
$time91="19:00";
$time5="19:30";
$time6="20:30";
$time7="21:05";
$time8="22:30";
$time55="23:15";
$time9="23:30";

switch ($action){




default:
if(time()>($user['gorod_tamag_time']+(3600*3))){
mysql_query("UPDATE `user` SET `gorod_tamag_life`=`gorod_tamag_life`-15,`gorod_tamag_time`='".time()."' WHERE `id`='".$user['id']."'");};
if($user['gorod_tamag_life']<=0){
mysql_query("UPDATE `user` SET `gorod_tamag`='',`gorod_tamag_life`='0' WHERE `id`='".$user['id']."'");
echo 'Ваш катёнок умер!<br/>';
echo'Вы можете завеcти себе нового!!<br/>';
};
if(!$user['gorod_tamag']) {
echo'Здесь ты можешь зарегистрировать электроного друга.<br/>';
echo'<form action="tamagoch.php?action=make" method="post">';
echo '<b>Введи имя твоего катёнка:</b><br/>';
echo'<input name="name" maxlength="15" /><br/>';
echo'<input type="submit" value="Создать!" /></form>';
}else{
echo 'Время: '.date("H:i:s").'<br/>Имя твоего катенка '.$user['gorod_tamag'].'<br/>';
echo 'Здоровье '.$user['gorod_tamag_life'].'%<br/>';

if(date("H")==22 || date("H")==14 || date("H")==16 || date("H")==17) {
echo $user['gorod_tamag'].' обосрался нужно прибрать за ним!!<br/>';
echo '<a href="tamagoch.php?action=kak">Прибрать за обосранцем';
};

if(date("H")==8 || date("H")==12 || date("H")==18 || date("H")==21) {
echo $user['gorod_tamag'].' проголадался, если ты его не покормишь он может съесть вас!<br/>';
echo '<a href="tamagoch.php?action=k">Накормить обжеру';
};

if(date("H")==9 || date("H")==11 || date("H")==23 || date("H")==19) {
echo $$user['gorod_tamag'].' хочет играть.<br/>';
echo '<a href="tamagoch.php?action=igr">Играть';
};

if(date("H")==10 || date("H")==15 || date("H")==18 || date("H")==20) {
echo $user['gorod_tamag'].' хочет учится.<br/>';
echo '<a href="tamagoch.php?action=ychi">Учить '.$user['gorod_tamag'].'';
};

if(date("H")>23 || date("H")<8) {
echo $user['gorod_tamag'].' спит.<br/>';
};

};
break;

case 'help':
echo '<b>Pacпиcaниe кopмёшки и yбopки зa котёнком</b>';
echo 'Oн oбocpeтcя в: 22:00, 14:00, 16:00, 17:00.<hr/>';
echo 'Oн зaxoчит кyшaть в: 8:00, 12:00, 18:00, 21:00.<hr/>';
echo 'Oн зaxoчит игpaть в: 9:00, 11:00, 23:00, 19:00.<hr/>';
echo 'Oн зaxoчeт yчитcя в: 10:00, 15:00, 18:00, 20:00.<hr/>';
echo'<a href="tamagoch.php">Bepнyтьcя';
break;


case 'make':
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
if(!$name){echo 'Пустые параметры!';break;};
if(!$user['gorod_tamag']){
mysql_query("UPDATE `user` SET `gorod_tamag`='$name',`gorod_tamag_life`='100' WHERE `id`='".$user['id']."'");
echo 'Котенок создан!';
}else{
echo 'У тебя уже есть котенок!';
};
break;


case 'del':
if(!$user['gorod_tamag']){echo 'У вас нет тамагоча!';}else{
mysql_query("UPDATE `user` SET `gorod_tamag`='',`gorod_tamag_life`='0' WHERE `id`='".$user['id']."'");
echo 'Котенок удалён!';
};
break;


case 'tam':
echo'Время: '.date("H:i:s").' <br/>Имя твоего котенка '.$user['gorod_tamag'].'<br/>';
echo'Его здоровье '.$user['gorod_tamag_life'].'% котёнка нужно вовремя кормить иначе его здоровье будит уменьшаться!!<br/>';
echo'<hr/>Теперь у тебя есть свой собственый пушистик.<br/>
Ты должен кормить, играть, учить его и убирать за ним иначе он умрёт!!!
Если вас не будет долгое время на сайте он не будет бесконечно сраться и не умрёт без вас<br/>
так что не волнуйтесь за ним не придётся убирать горы какашек или закапывать его труп!!:-)<br/>';
break;


case 'igr':
$life=($user['gorod_tamag_life']+10)>100 ? 100 : ($user['gorod_tamag_life']+10);
mysql_query("UPDATE `user` SET `gorod_tamag_life`='$life' WHERE `id`='".$user['id']."'");
echo $user['gorod_tamag'].' доволен.<br/>';
echo '<a href="tamagoch.php">Проверить здоровье '.$user['gorod_tamag'].'';
break;



case 'k':
$life=($user['gorod_tamag_life']+10)>100 ? 100 : ($user['gorod_tamag_life']+10);
mysql_query("UPDATE `user` SET `gorod_tamag_life`='$life' WHERE `id`='".$user['id']."'");
echo $user['gorod_tamag'].' обожрался.<br/>';
echo '<a href="tamagoch.php">Проверить здоровье '.$user['gorod_tamag'].'';
break;
case 'kak':
$life=($user['gorod_tamag_life']+10)>100 ? 100 : ($user['gorod_tamag_life']+10);
mysql_query("UPDATE `user` SET `gorod_tamag_life`='$life' WHERE `id`='".$user['id']."'");
echo $user['gorod_tamag'].' ужрался как вы за ним гавно убираете.<br/>';
echo '<a href="tamagoch.php">Проверить здоровье '.$user['gorod_tamag'].'';
break;
case 'ychi':
$life=($user['gorod_tamag_life']+10)>100 ? 100 : ($user['gorod_tamag_life']+10);
mysql_query("UPDATE `user` SET `gorod_tamag_life`='$life' WHERE `id`='".$user['id']."'");
echo $user['gorod_tamag'].' послал вас НАХУЙ с вашими уроками!!!<br/>';
echo '<a href="tamagoch.php?">Проверить здоровье '.$user['gorod_tamag'].'';
break;
};
if ($user['gorod_tamag']){
echo'<br/><a href="tamagoch.php?action=del">Убить котёнка</a>';};
echo'<br/><a href="tamagoch.php?action=help">Пoмoщь</a><br/>';
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};
}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};
include_once '../sys/inc/tfoot.php';
?>